# 第十七章 小作业

作业要求：

* 基于CentOS 7，编写自己的Nginx镜像；
* 让Nginx读取宿主机中的`/opt/conf/nginx.conf` ，该配置文件将nginx的端口设为81；
* 访问Nginx首页时，Nginx会读取宿主机`/opt/html` 目录下的`index.html` ；
* 将该镜像push到Docker Registry或者Nexus中。


注：如宿主机不存在/opt目录（例如Window 7），可使用`C:\` 代替。



## 准备工作

1. 在宿主机中准备好目录

   ```
   mkdir -p /opt/conf /opt/html
   ```

2. 启动一个NGINX容器（官方NGINX容器即可）

3. 使用命令拷贝容器内部的`/etc/nginx/conf.d/default.conf` 文件，到宿主机的/opt目录，命名为nginx.conf

   ```Shell
   docker cp 容器ID:/etc/nginx/conf.d/default.conf /opt/conf/nginx.conf
   ```

4. 修改宿主机中的`/opt/nginx.conf` ，找到类似如下的内容，将其改为81。

   ```   nginx
   listen       80;   # 改为81
   ```

5. 在/opt/html目录下准备一个文件，例如：`index.html` 。





## 答案

1. 先制作一个基础镜像，Dockerfile如下：

   ```dockerfile
   FROM centos:7
   RUN rpm -Uvh http://nginx.org/packages/centos/7/noarch/RPMS/nginx-release-centos-7-0.el7.ngx.noarch.rpm
   RUN yum -y install nginx
   RUN sed -i '1i\daemon off;' /etc/nginx/nginx.conf
   ENTRYPOINT nginx
   ```
   使用`docker build -t mynginx .` 构建镜像。

2. 在mynginx的基础上，制作一个新的镜像，内容如下：

   ```dockerfile
   FROM mynginx
   VOLUME /etc/nginx/conf.d/
   VOLUME /usr/share/nginx/html
   ```

   使用`docker build -t nginx-haha .` 构建镜像。

3. 使用如下命令，启动nginx-haha。

   ```shell
   docker run -p 80:81 -v /opt/conf:/etc/nginx/conf.d/ -v /opt/html:/usr/share/nginx/html nginx-haha
   ```

   ​