# 端口映射

在前面的内容中，我们很多地方使用了-p参数来实现端口映射。本节我们来详细讲解Docker中的端口映射。

## 随机映射：-P

当启动时使用-P参数时，即可让Docker随机映射一个端口到容器内部开放的端口

```shell
docker run -P nginx
```

## 指定端口映射：-p

指定端口映射有如下几种格式：

* ip:hostPort:containerPort：映射到指定IP的指定端口
* ip::containerPort：映射到指定IP的随机端口
* hostPort:containerPort：映射到宿主机所有IP的指定端口
* containerPort：映射到宿主机所有IP的随机端口

##  查看端口映射

有多种方式可以查看端口映射的详情。

* 方法1：

  ```
  docker ps
  ```

* 方法2：

  ```
  docker port 容器ID
  ```




